type: google.api.Service
config_version: 3
name: osconfig.googleapis.com
title: OS Config API

apis:
- name: google.cloud.osconfig.v1alpha.OsConfigZonalService

types:
- name: google.cloud.osconfig.v1alpha.OSPolicyAssignmentOperationMetadata

documentation:
  summary: |-
    OS management tools that can be used for patch management, patch
    compliance, and configuration management on VM instances.

backend:
  rules:
  - selector: 'google.cloud.osconfig.v1alpha.OsConfigZonalService.*'
    deadline: 30.0

http:
  rules:
  - selector: google.longrunning.Operations.CancelOperation
    post: '/v1alpha/{name=projects/*/locations/*/osPolicyAssignments/*/operations/*}:cancel'
    body: '*'
  - selector: google.longrunning.Operations.GetOperation
    get: '/v1alpha/{name=projects/*/locations/*/osPolicyAssignments/*/operations/*}'

authentication:
  rules:
  - selector: 'google.cloud.osconfig.v1alpha.OsConfigZonalService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
